corda / net.corda.core.transactions / TransactionBuilder / checkSignature

# checkSignature

`fun checkSignature(sig: WithKey): Unit`

Checks that the given signature matches one of the commands and that it is a correct signature over the tx.

### Exceptions

`SignatureException` - if the signature didn't match the transaction contents.

`IllegalArgumentException` - if the signature key doesn't appear in any command.